worker_processes  2;

error_log  /dev/stderr warn;
pid        /tmp/nginx.pid;

events {
    worker_connections  1024;
}

http {
    proxy_temp_path /tmp/proxy_temp;
    client_body_temp_path /tmp/client_temp;
    fastcgi_temp_path /tmp/fastcgi_temp;
    uwsgi_temp_path /tmp/uwsgi_temp;
    scgi_temp_path /tmp/scgi_temp;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';
    access_log  /dev/stdout  main;

    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    sendfile        on;
    keepalive_timeout  65;

    server {
        listen 8000 default_server;
        server_name _;

        root /var/www/html;
        absolute_redirect off;

        location / {
            index index.html;
        }

        location ~ /archives/(.*) {
            alias /var/lib/mailman/archives/public/$1;
            index index.html thread.html;
        }

        rewrite ^/mailman/listinfo$ https://mail.gnome.org permanent;
        rewrite ^/mailman/listinfo/(.*)$ https://mail.gnome.org/archives/$1 permanent;

        location /archives/gnome-1.4-list/2005-February/msg00006.html {
            deny all;
        }

        location /archives/gimp-user-list/2013-July/msg00039.html {
            deny all;
        }

        location /archives/gimp-user-list/2013-July/msg00041.html {
            deny all;
        }

        location /archives/gimp-user-list/2013-July/msg00043.html {
            deny all;
        }

        location ~ /archives/outreach-list/2015-May/msg0000[0-1].html {
            deny all;
        }

        location /archives/ekiga-list/2015-October/msg00001.html {
            deny all;
        }

        location /archives/gimp-user-list/2015-March/msg00029.html {
            deny all;
        }

        location /archives/garnome-list/2003-December/msg00047.html {
            deny all;
        }

        location /archives/garnome-list/2003-December/msg00050.html {
            deny all;
        }
    }
}
